
export interface HttpHeaders {
    [key: string]: string
}

export interface HttpQueryParams {
    [key: string]: string|number|boolean
}

export interface NativeFetchOptions {
    request?: {
        contentType?: string
    }
}

declare module 'native-fetch' {
    export class NativeFetch {
        constructor(baseUrl: string, options?: NativeFetchOptions)
    
        public setGlobalHeader(name: string, value: string): void
        public removeGlobalHeader(name: string): void
    
        public httpGet<Response>(path: string, queryParams: HttpQueryParams, headers?: HttpHeaders): Promise<Response>
        public httpPost<Response>(path: string, body: any, headers?: HttpHeaders): Promise<Response>
    }
}
